version: '3'


services:

#URI-MS ***************************************************************************************
  sd-microservices:
    image: jbjares/node-service-discovery:v11
    ports:
    - 8881:8881
    links:
    - mongo
    depends_on:
    - mongo
    command: bash -c "cd /app/pht-envsupport-servicelocator && mvn install -DskipTests && mvn spring-boot:run -Dspring-boot.run.arguments=--server.port=8881,--server.address=0.0.0.0,--spring.data.mongodb.host=127.0.0.1,--spring.data.mongodb.port=27020,--spring.data.mongodb.database=PHTPlatformServiceLocatorEnvSupport,--mongo.host=127.0.0.1,--mongo.port=27020"

    

# DB  ***************************************************************************************
  mongo:
    image: jbjares/mongo_java8_maven:v1
    environment:
    - MONGO_DATA_DIR=/data/db_ms
    - MONGO_LOG_DIR=/dev/db_ms.log
    volumes:
    - ./data/db_ms:/data/db_ms
    ports:
    - 27020:27020
    command: mongod --bind_ip_all --ipv6 --port 27020


                                       
